/*
 * mm_radio_sound_focus.h
 *
 * Copyright (c) 2000 - 2016 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

#ifndef MM_RADIO_AUDIO_FOCUS_H_
#define MM_RADIO_AUDIO_FOCUS_H_

#include <mm_types.h>
#include <mm_error.h>

#include <mm_session.h>
#include <mm_session_private.h>
#include <mm_sound_focus.h>
#include <mm_message.h>

enum {
	MMRADIO_FOCUS_CB_NONE,
	MMRADIO_FOCUS_CB_POSTMSG,
	MMRADIO_FOCUS_CB_SKIP_POSTMSG
};
typedef struct {
	int focus_id;
	int watch_id;
	unsigned int subscribe_id;
	unsigned int device_subs_id;
	int handle;
	int pid;
	int by_focus_cb;
	int event_src;
	int snd_session_flags;
	int session_type;
	mm_sound_focus_type_e cur_focus_type;
} mm_radio_sound_focus;
int mmradio_sound_focus_register(mm_radio_sound_focus *sound_focus, mm_sound_focus_changed_cb focus_cb, mm_sound_focus_changed_watch_cb watch_cb, void *param);
int mmradio_sound_focus_deregister(mm_radio_sound_focus *sound_focus);
int mmradio_acquire_sound_focus(mm_radio_sound_focus *sound_focus);
int mmradio_release_sound_focus(mm_radio_sound_focus *sound_focus);
void mmradio_get_sound_focus_reason(mm_sound_focus_state_e focus_state, const char *reason_for_change, enum MMMessageInterruptedCode *event_source, int *postMsg);

#endif /* MM_RADIO_AUDIO_FOCUS_H_ */
